<?php
$RecipeInfo['FileAttachList']['Version'] = '2020-02-12';

SDV($JSFileListStyle, "#filelist { list-style-type:none; padding-left:0pt; } li.file { display:inline; padding-right:14px; }");

SDV($JSFileListSkipDeletedUploads, false);

SDV($JSFileListInsertLinkIconsEnabled, false);
if($JSFileListInsertLinkIconsEnabled) {
	global $HTMLHeaderFmt;
	$HTMLHeaderFmt[] = "<link rel='stylesheet' href='\$FarmPubDirUrl/css/jsfilelist.css' type='text/css' />";
}

# $name = PageVar($pagename, '$Name');
# $group = PageVar($pagename, '$Group');
$class = "insertlink";

if (!$UploadDir) {
    $jsflUploadDir = "uploads";
}
else {
    $jsflUploadDir = $UploadDir;
}

if ($action == 'edit') {
    $u = $_SERVER['REQUEST_URI'] . "&action2=jsfilelist";
    $HTMLFooterFmt['jsfilelist'] = "
    <script type='text/javascript'>
    var loadprompt = '<style>$JSFileListStyle</style><p id=\'loadprompt\'>Click to Load Attachment List...</p>';
    if (element = document.getElementById('wikiedit')) {
		element.innerHTML = \"<div id='attachlist' onclick='LoadFileList()'>\" + loadprompt + \"</div>\"+document.getElementById('wikiedit').innerHTML;
	}
    function LoadFileList() {
        document.getElementById('attachlist').innerHTML = '<style>$JSFileListStyle</style><p>Loading...</p>';
        var req = document.createElement('SCRIPT');         req.type = 'text/javascript';         req.src = \"$u\" + \"&t=\" + Date.now();         document.body.appendChild(req);
    }
    function HideFileList() {
    	document.getElementById('attachlist').innerHTML = loadprompt;
		document.getElementById('loadprompt').onclick = LoadFileList;
    }
    </script>";
}

if ($_REQUEST['action2'] == "jsfilelist") {
    header("Content-Type: text/javascript");
    $uploaddir = FmtPageName("$jsflUploadDir$UploadPrefixFmt", $pagename);
#    $uploaddir = "$jsflUploadDir/$group/$name/";
    $dirp = @opendir($uploaddir);
    
    ## No Folder
    if (!$dirp) {
        echo "document.getElementById('attachlist').innerHTML = \"There are no Attachments to this page.\"; 	
	document.getElementById('attachlist').onclick = null;";
        exit;
    }
    
    $filelist = array();
    while (($file=readdir($dirp)) !== false) {
        if ($file{0} == '.') continue;
        if (@$matchext && !preg_match(@$matchext, $file)) continue;
	if (substr($file,0,4) == "th00") continue;  
        $filelist[$file] = $file;
    }
    
    closedir($dirp);
    
    $out = array();
    
    $out[] = "<style>$JSFileListStyle</style>";
    $out[] = "<ul id='filelist'>";
    $out[] = "<li class='file'>Attachments (<span class='hide_attachments' onclick='HideFileList()'>click here to hide</span>):</li>";
    foreach($filelist as $file) {
    	if($JSFileListSkipDeletedUploads == true && preg_match("/,[0-9]+$/", $file))
    		{ continue; }

        $out[] = "<li class='file'><a class='$class' title='$file' href=\\\"javascript:insMarkup('','','Attach:$file');\\\">$file</a></li>";
    }
    $out[] = "</ul>";
    
    echo "document.getElementById('attachlist').innerHTML = \"" . implode('', $out) . "\"; document.getElementById('attachlist').onclick = null;";
    exit;
}